#!/bin/tcsh

# This script starts the UvA_Trilearn_2003 team. When player numbers are 
# supplied before the (optional) host-name and team-name arguments only
# these players are started, otherwise all players are started.
# Usage:   start.sh <player-numbers> <host-name> <team-name>
#
# Example: start.sh                 all players default host and name
# Example: start.sh machine         all players on host 'machine'
# Example: start.sh localhost UvA   all players on localhost and name 'UvA'
# Example: start.sh 127.0.0.1 UvA   all players on 127.0.0.1  and name 'UvA'
# Example: start.sh 1 2 3 4         players 1-4 on default host and name
# Example: start.sh 1 2 remote      players 1-2 on host 'remote'
# Example: start.sh 9 10 remote UvA players 9-10 on host remote and name 'UvA'
# Example: start.sh 0               start coach on default host 

set wait  = 0
set host  = "localhost"
set team  = "hana" 
set populationconf = "pop.conf"
set dir   = "."
set prog  = "${dir}/hana_jo04_player"
set coach = "${dir}/hana_jo04_coach"
set pconf = "${dir}/player.conf"
set fconf = "${dir}/formations.conf"
set  weight = "weight.dat"


  set i = 1

  while ( ${i} < 12 )
    ${prog} -number ${i} -host ${host} -team ${team}  -f ${fconf} -c ${pconf} -b ${populationconf} &
    sleep $wait
    @ i++
  end



  sleep 2
 ${coach} -host ${host} -team ${team} -f ${fconf} -w ${weight}  &
endif

